function plus(element) {
    var newValue = getNewValue(element, true);
    if (newValue == -1) return false;
    var trElement = getCurrentTr(element);
    if (isAscending) {
        insertNext(trElement,newValue,true);
    }
    else {
        insertPrevious(trElement,newValue,false);
    }
    getTrInput(trElement).select();
    return false;
}



function moins(element) {
    var newValue = getNewValue(element, false);
    if (newValue == -1) return false;
    var trElement = getCurrentTr(element);
    if (isAscending) {
        insertPrevious(trElement,newValue,true);
    }
    else {
        insertNext(trElement,newValue,false);
    }
    getTrInput(trElement).select();
    return false;
}

function getNewValue(element, increase) {
    var currentInput = element.parentNode.parentNode.getElementsByTagName("input")[0];
    var inputValue = getInputValue(currentInput);
    if (inputValue == -1) {
        alert(errorMessage + currentInput.value);
        return -1;
    }
    if (increase) inputValue = inputValue + 1;
    else inputValue = inputValue - 1;
    if (inputValue < 1) currentInput.value = 1;
    else currentInput.value = inputValue;
    currentInput.select();
    return inputValue;
}

function getCurrentTr(element) {
    return element.parentNode.parentNode;
}


function getTrInput(trElement) {
    return trElement.getElementsByTagName("input")[0];
}

function getInputValue(inputElement) {
    var value = inputElement.value;
    if (value.length == 0) return 1;
    var intValue = parseInt(value);
    if ((isNaN(intValue)) || (intValue < 0)) return -1;
    return intValue;
}

function insertNext(trElement, newValue, ascending) {
    var nextElement = next(trElement,newValue,ascending);
    if (nextElement != null) {
        nextElement.parentNode.insertBefore(trElement,nextElement);
    }
    else {
        trElement.parentNode.appendChild(trElement);
    }
}

function insertPrevious(trElement, newValue, ascending) {
    var previousElement = previous(trElement,newValue,ascending);
    if (previousElement != null) {
        previousElement.parentNode.insertBefore(trElement,previousElement.nextSibling);
    }
    else {
        trElement.parentNode.insertBefore(trElement, trElement.parentNode.firstChild);
    }
}

function next(trElement, newValue, ascending) {
    var nextElement = trElement.nextSibling;
    while(nextElement != null) {
        if (nextElement.nodeType == Node.ELEMENT_NODE) {
            if (nextElement.tagName.toLowerCase() == "tr") {
                var inputvalue = getInputValue(getTrInput(nextElement));
                if (inputvalue != -1) {
					
                    if (ascending) {
                        if (inputvalue >= newValue) return nextElement;
                    }
                    else {
                        if (inputvalue <= newValue) return nextElement;
                    }
                }
            }
        }
        nextElement = nextElement.nextSibling;
    }
    return null;
}

function previous(trElement, newValue, ascending) {
    var previousElement = trElement.previousSibling;
    while(previousElement != null) {
        if (previousElement.nodeType == Node.ELEMENT_NODE) {
            if (previousElement.tagName.toLowerCase() == "tr") {
                var inputvalue = getInputValue(getTrInput(previousElement));
                if (inputvalue != -1) {
                    if (ascending) {
                        if (inputvalue <= newValue) return previousElement;
                    }
                    else {
                        if (inputvalue >= newValue) return previousElement;
                    }
                }
            }
        }
        previousElement = previousElement.previousSibling;
    }
    return null;
}